FINANCE-QUOTE-WRAPPER(1)

NAME
finance-quote-wrapper - internal interface between gnucash and Finance::Quote

SYNOPSIS
finance-quote-wrapper

DESCRIPTION
Input: a JSON encoded hash of namespaces and commodities to query prices for. Currencies all go under the "currency' namespace, other commodities are grouped according to the quotes source they should be queried from There should also be a "defaultcurrency" key with the currency to be used as base currency for currency quotes.

{
    "defaultcurrency": "EUR",
    "currency": {
        "XAG": "",
        "HKD": "",
        "USD": ""
    },
    "yahoo_json": {
        "CSCO": ""
    } }

Output (on standard output):

The retrieved quotes in JSON format for further processing. These are the raw values returned by Finance::Quote. The caller is responsible for parsing and interpreting the results.

If there are program failures, an error message will be printed on standard error.

Exit status

0 - success non-zero - failure